# Created by pyp2rpm-1.0.1
%global pypi_name sampy
%define version 1.2.1

Name:           python-sampy
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        SAMPy is an IVOA SAMP (Simple Application Messaging Protocol) messaging system implementation in Python

License:        GNU General Public License
Source0:        https://pypi.python.org/packages/source/s/sampy/sampy-%{version}.tar.xz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  tkinter

%description
SAMPy is a Python implementation of the IVOA Simple Application
Messaging Protocol [*] version 1.2 (with Web Profile support).

SAMPy Python module (sampy.py) provides classes to easily:

1) instantiate one or multiple Hubs;
2) interface an application or script to a running Hub;
3) create and manage a SAMP client.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

%files
%doc 
%{_bindir}/sampy
%{python_sitelib}/%{pypi_name}.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Aug 10 2013 billybot <billybot> 1.2.1-1pclos2013
- update
